Subject: categories: Cross-category "conversions" of some interest

From: "Osher Doctorow" <[email-masked]>
Date: Sat, 8 Jul 2000 10:05:44 -0700

From: Osher Doctorow, Ph.D. [email-masked], Sat. July 7, 2000, 9:46AM

Dear Colleagues:

I have been studying the "conversion" from x/y to 1 - x + y and the conversion from x/y to x + y - xy, where x and y are elements of any category (although in practice I have been restricting attention to probability-statistics (x = Pr(A), y = Pr(AB) where AB is the intersection of sets/events A and B) and (fuzzy) multivalued logics such as Goguen/Product (G) and Lukaciewicz (L) and Godel (Go)  (in the case of G, x/y is the non-trivial implication x --> y and in the case of L, 1 - x + y is the non-trivial implication x --> y) and the Jacobson radical in ring theory (which is based on the circle composition product x*y = x + y - xy for x and y elements of the ring) and Fermat's Last Theorem in number theory (x and y are integers and a super-super short proof seems to depend on generalizing x*y to n dimensions and using the conjugate which will be described below).  The conjugate ^ of 1 - x + y is (1 - x + y)^ = 1 + x - y, and the conjugate of x + y - xy is x + y + xy.    An n dimensional generalization would involve x^^n + y^^n  where ^^ is exponentiation (unrelated to ^) since the product of 1 - x + y and its conjugate can be shown to involve x^^2 + y^^2 - x^^2 y^^2 = x^^2 * y^^2 and so on.  The expression "conversion" is used above instead of function because y/x --> 1 - x + y is not a function but a conversion of the division operation (for x non-zero) to subtraction and the addition of 1.     

The probability-statistics reader may recognize x/y and (Bayesian) conditional probability (BCP for short) written Pr(B/A) for Pr(A) non-zero, and it turns out that 1 - x + y for probability-statistics is Pr(A-->B) = Pr(A' U B) = Pr(A' ) + Pr(B) - Pr(A' B) = Pr(A' ) + Pr(AB) = 1 - Pr(A) + P(AB), which latter expression is maximized for very rare events and lower dimensional events when probability distributions are continuous on a volume of space containing A and B (Pr(A) = 0 for those cases) and also when A is a subset of B.  Pr(A-->B) is abbreviated LBP for logic-based probability, which I have been developing since 1980.   BCP applies to frequent/common and independent-like or low influence events (including Markov processes which have many similarities to independent events although they are "slightly" dependent) and LBP applies to rare events or rare-like events (Pr(A) less than epsilon for epsilon small positive) and to n-k dimensional subset events of n-dimensional Euclidean space for k = 0 to n and to highly dependent or highly one or two-way influencing events. 

As for Goguen/Product logic (G) and Lukaciewicz logic, their union or "join" G U L, similarly to the union or join of either of them with Godel logic G, equals BL2, the basic (fuzzy) multi-valued logic which generalizes Boolean logic with the deduction Theorem and the plausible axiom p V ~p (p or ~p) for each proposition p.   Thus, G and L constitute all of the universe of logic in this sense, and they partition it into disjoint "roughly equal" parts.

Osher Doctorow
Doctorow Consultants
Culver City, California USA